Name:           StarCluster
Epoch:          1
Version:        0.95.6
Release:        9%{?dist}
Summary:        Tool for managing computing clusters hosted on Amazon's EC2

# Core of StarCluster is LGPLv3
# sshutils/scp.py and progressbar.py are LGPLv2+
# Jquery is both (MIT or BSD or GPLv2) and (MIT or GPLv2)
License:        LGPLv3 and LGPLv2+ and (MIT or BSD or GPLv2) and (MIT or GPLv2)
URL:            http://star.mit.edu/cluster
Source0:        https://github.com/jtriley/StarCluster/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
#Source0:        https://pypi.python.org/packages/source/S/StarCluster/StarCluster-0.95.5.tar.gz
# issuetracker tries to connect via the network
# https://github.com/lunaryorn/sphinxcontrib-issuetracker/issues/9
Patch0:         StarCluster-issuetracker.patch
# Handle pytest-cov 2.X
Patch1:         StarCluster-cov.patch
# Fix pytest
Patch2:         StarCluster-pytest.patch

BuildArch:      noarch
BuildRequires:  python2-devel
# For docs
BuildRequires:  python-sphinx
BuildRequires:  python-sphinxcontrib-issuetracker
# For tests
BuildRequires:  python-pytest-cov
BuildRequires:  python-pytest-flakes
BuildRequires:  python-pytest-pep8
BuildRequires:  python-boto >= 2.23.0
BuildRequires:  python-decorator >= 3.4.0
BuildRequires:  python-iptools >= 0.6.1
BuildRequires:  python-iso8601 >= 0.1.8
BuildRequires:  python-jinja2 >= 2.7
BuildRequires:  python-optcomplete >= 1.2
BuildRequires:  python-crypto >= 2.5
BuildRequires:  python-paramiko >= 1.12.1
BuildRequires:  python-scp >= 0.7.1
BuildRequires:  python-workerpool >= 0.9.2
Requires:       python-boto >= 2.23.0
Requires:       python-decorator >= 3.4.0
Requires:       python-iptools >= 0.6.1
Requires:       python-iso8601 >= 0.1.8
Requires:       python-jinja2 >= 2.7
Requires:       python-optcomplete >= 1.2
Requires:       python-crypto >= 2.5
Requires:       python-paramiko >= 1.12.1
Requires:       python-scp >= 0.7.1
Requires:       python-workerpool >= 0.9.2

%description
StarCluster is an open source cluster-computing toolkit for Amazon’s Elastic
Compute Cloud (EC2).

StarCluster has been designed to automate and simplify the process of
building, configuring, and managing clusters of virtual machines on Amazon’s
EC2 cloud. StarCluster allows anyone to easily create a cluster computing
environment in the cloud suited for distributed and parallel computing
applications and systems. 


%package doc
Summary:        Documentation for %{name}
# Neuton-webfont is ASL 2.0
# Jquery is both (MIT or BSD or GPLv2) and (MIT or GPLv2)
# Docs seem to be under same license as core module (LGPLv3)
# *.css files are BSD
License:        LGPLv3 and BSD and ASL 2.0 and (MIT or BSD or GPLv2) and (MIT or GPLv2)

%description doc
Documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .issuetracker
%patch1 -p1 -b .cov
%patch2 -p1 -b .pytest
# Remove egg-info
rm -rf %{name}.egg-info


%build
%{__python} setup.py build
cd docs/sphinx
make html
# Remove empty file
rm _build/html/.buildinfo


%install
%{__python} setup.py install --skip-build --root %{buildroot}

# bash completion
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
cp -p completion/starcluster-completion.sh %{buildroot}%{_datadir}/bash-completion/completions/starcluster


%check
%{__python} setup.py test

 
%files
%doc Changelog COPYING COPYING.LESSER README.rst
%{_bindir}/starcluster
%{python_sitelib}/*
%{_datadir}/bash-completion/

%files doc
%doc docs/sphinx/_build/html


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.95.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.95.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.95.6-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun Feb 7 2016 Orion Poplawski <orion@cora.nwra.com> 1:0.95.6-6
- Add patch for pytest failures

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.95.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 Orion Poplawski <orion@cora.nwra.com> 1:0.95.6-4
- Add patch to handle pytest-cov 2.X

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.95.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 6 2014 Orion Poplawski <orion@cora.nwra.com> 1:0.95.6-2
- Remove dependency on main package from doc sub-package

* Thu Nov 6 2014 Orion Poplawski <orion@cora.nwra.com> 1:0.95.6-1
- Update to 0.95.6
- Add epoch to fix versioning mistake

* Wed Oct 8 2014 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.11.0.95.5
- Use github source
- Add patch to remove issuetracker from sphinx config for now

* Fri Jun 13 2014 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.11.0.95.5
- Update to 0.95.5 - version hack for now
- Add BR on python-sphinxcontrib-issuetracker

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9999-0.10.0.95.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 18 2014 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.9.0.95.4
- Update to 0.95.4 - version hack for now

* Tue Feb 25 2014 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.8.0.95.2
- Update to 0.95.2 - version hack for now
- Add bash completion

* Thu Feb 20 2014 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.7.0.95
- Update to 0.95 - version hack for now

* Thu Nov 21 2013 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.6.0.94.3
- Update to 0.94.3 - version hack for now

* Mon Oct 21 2013 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.5.0.94.2
- Update to 0.94.2 - version hack for now

* Thu Jul 25 2013 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.4.0.94
- Update to 0.94 - version hack for now

* Fri Jun 28 2013 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.3.git6560296
- Update to latest git, bump requirements
- Iptools no longer bundled

* Thu May 9 2013 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.2.git4c374a4
- Add %%check
- Fix iptools usage

* Thu May 9 2013 Orion Poplawski <orion@cora.nwra.com> 0.9999-0.1.git4c374a4
- Update to latest git, uses python-paramiko instead of python-ssh
- Drop requires patch
- Specify versioned requires

* Wed May 8 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-6
- Fix doc package requires

* Mon May 6 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-5
- Drop buildroot cleanup
- Remove empty .buildinfo file

* Mon May 6 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-4
- Final license

* Fri May 3 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-3
- Make doc depend on main package
- Remove shipped egg-info

* Thu May 2 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-2
- Fix up requires
- Build docs, separate package

* Sun Apr 7 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-1
- Initial Fedora package
